%define major 6
%define libname %mklibname upnp %{major}

%define threadutilmajor 6
%define libthreadutil %mklibname threadutil %{threadutilmajor}

%define ixmlmajor 2
%define libixml %mklibname ixml %{ixmlmajor}

%define develname %mklibname upnp -d

Summary:        Library and tools for the UPnP protocol
Name:           libupnp
Version:        1.6.21
Release:        %mkrel 1
License:        BSD
Group:          System/Libraries
URL:            http://pupnp.sourceforge.net/
Source:         http://downloads.sourceforge.net/pupnp/%{name}-%{version}.tar.bz2

%description
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n	%{libname}
Summary:        Library and tools for the UPnP protocol
Group:          System/Libraries
Obsoletes:      %mklibname upnp 0

%description -n	%{libname}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n	%{libthreadutil}
Summary:        Library and tools for the UPnP protocol
Group:          System/Libraries

%description -n	%{libthreadutil}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n	%{libixml}
Summary:        Library and tools for the UPnP protocol
Group:          System/Libraries
Obsoletes:      %{_lib}upnp3 < %{version}

%description -n	%{libixml}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n	%{develname}
Summary:        Header files and static libraries from %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libthreadutil} = %{version}-%{release}
Requires:       %{libixml} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{mklibname upnp 0 -d} < 1.6.5
Provides:       %mklibname upnp 0 -d

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure2_5x --disable-static \
	--enable-tools \
	--enable-ipv6
%make

%install
%makeinstall_std

# don't ship .la
find %{buildroot} -name *.la | xargs rm -f

%files -n %{libname}
%doc LICENSE NEWS README THANKS TODO
%{_libdir}/libupnp.so.%{major}
%{_libdir}/libupnp.so.%{major}.*

%files -n %{libthreadutil}
%{_libdir}/libthreadutil.so.%{threadutilmajor}
%{_libdir}/libthreadutil.so.%{threadutilmajor}.*

%files -n %{libixml}
%{_libdir}/libixml.so.%{ixmlmajor}
%{_libdir}/libixml.so.%{ixmlmajor}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Jan 01 2017 luigiwalser <luigiwalser> 1.6.21-1.mga6
+ Revision: 1078980
- 1.6.21

* Fri Dec 16 2016 luigiwalser <luigiwalser> 1.6.20-2.mga6
+ Revision: 1075726
- add patch from debian to fix CVE-2016-8863

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.6.20-1.mga6
+ Revision: 1045559
- 1.6.20
- remove upstreamed patches

* Tue Jul 19 2016 luigiwalser <luigiwalser> 1.6.19-6.mga6
+ Revision: 1042524
- add patch to disallow unhandled POSTs writing to filesystem by default
  (CVE-2016-6255)

* Mon Feb 08 2016 umeabot <umeabot> 1.6.19-5.mga6
+ Revision: 944965
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.19-4.mga5
+ Revision: 750171
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 luigiwalser <luigiwalser> 1.6.19-3.mga5
+ Revision: 736673
- add various upstream bug fixes (mga#14143)

* Tue Sep 16 2014 umeabot <umeabot> 1.6.19-2.mga5
+ Revision: 681830
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 dams <dams> 1.6.19-1.mga5
+ Revision: 591817
- new version 1.6.19

* Fri Oct 18 2013 umeabot <umeabot> 1.6.18-2.mga4
+ Revision: 521990
- Mageia 4 Mass Rebuild

* Mon Feb 04 2013 guillomovitch <guillomovitch> 1.6.18-1.mga3
+ Revision: 394493
- new version

* Sat Jan 12 2013 umeabot <umeabot> 1.6.17-2.mga3
+ Revision: 358298
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 fwang <fwang> 1.6.17-1.mga3
+ Revision: 289204
- new version 1.6.17

* Sat Jan 28 2012 kamil <kamil> 1.6.15-1.mga2
+ Revision: 202533
- new version 1.6.15

  + fwang <fwang>
    - new version 1.6.13

* Tue Jan 25 2011 ahmad <ahmad> 1.6.6-4.mga1
+ Revision: 39636
- drop old/unneeded scriptlets
- don't ship .a, .la
- imported package libupnp

